<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.ui" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.ui.UiPlugin">

   <runtime>
      <library name="ui_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="ui.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="org.eclipse.jface"/>
      <import plugin="org.eclipse.core.boot"/>
      <import plugin="org.eclipse.emf.edit"/>
      <import plugin="org.eclipse.draw2d"/>
      <import plugin="com.metamatrix.license"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.xsd"/>
      <import plugin="org.eclipse.ui.forms"/>
   </requires>


   <extension-point id="remoteObjectType" name="%remoteObjectType"
                    schema="schema/remoteObjectType.exsd"/>
   <extension-point id="editorPreferences" name="Editor Preferences"
                    schema="schema/editorPreferences.exsd"/>
   <extension-point id="dockBars" name="%dockBars.name" schema="schema/dockBars.exsd"/>
   <extension-point id="productCustomizer" name="%productCustomizer"
                    schema="schema/productCustomizer.exsd"/>

   <extension point="org.eclipse.ui.preferencePages">
      <page name="%debugPreferences"
            category="com.metamatrix.modeler.ui.preferences.modelerPreferencePage"
            class="com.metamatrix.ui.internal.preferences.DebugPreferencePage"
            id="com.metamatrix.ui.internal.preferences.debugPreferencePage">
      </page>
      <page name="%editorPreferences"
            category="com.metamatrix.modeler.ui.preferences.modelerPreferencePage"
            class="com.metamatrix.ui.internal.preferences.EditorPreferencePage"
            id="com.metamatrix.ui.internal.preferences.editorPreferencePage">
      </page>   
   </extension>
   <extension point="com.metamatrix.license.licenseListener">
      <class name="com.metamatrix.ui.internal.util.LicenseHandler">
      </class>
   </extension>
   <extension point="org.eclipse.ui.propertyPages">
      <page objectClass="com.metamatrix.ui.internal.logview.LogEntry"
            name="%propertyPages.details.name"
            class="com.metamatrix.ui.internal.logview.LogEntryPropertyPage"
            id="com.metamatrix.ui.StatusDetails">
      </page>
      <page objectClass="com.metamatrix.ui.internal.logview.LogEntry"
            name="%propertyPages.session.name"
            class="com.metamatrix.ui.internal.logview.LogSessionPropertyPage"
            id="com.metamatrix.ui.StatusSession">
      </page>
   </extension>

   <!--
	This extension is used to support AspectJ preferences. Running code must have been compiled with
	aspects weaved into it for these preferences to be used. Also may have to enable the appropriate
	debug context to see aspects working.
-->
	<!-- ***** UNCOMMENT EXTENSION WHEN USING ASPECTS *****
	<extension point="org.eclipse.ui.preferencePages">
		<page
			name="AspectJ Preferences"
			class="com.metamatrix.aspectj.timing.AspectPreferencePage"
			id="com.metamatrix.aspectj.timing.AspectPreferencePage">
		</page>
	</extension>
	**** END COMMENT -->

</plugin>